Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## baseCode.dataFilter
Class RowAffyNameFilter

    java.lang.Object
      baseCode.dataFilter.AbstractFilter
          baseCode.dataFilter.RowAffyNameFilter

All Implemented Interfaces:
  Filter

public class RowAffyNameFilter
extends AbstractFilter
implements Filter

Remove probes that have names meeting certain rules indicating they may have low reliability. This is targeted at cases like "AFFX", "_st", "_f_at" and so forth.

Copyright (c) 2004

Institution:: Columbia University

Version:
  $Id: RowAffyNameFilter.java,v 1.3 2004/07/27 03:18:58 pavlidis Exp $
Author:
  Paul Pavlidis

Field Summary
`static int` | `AFFX` Filter probes that have the AFFX prefix.
`static int` | `F` Filter probes that have the "_f_at" (family) tag.
`static int` | `G` Filter probes that have the "_g_at" (group) tag.
`static int` | `ST` Filter probes that contain the '_st' (sense strand) tag
`static int` | `X` Filter probes that have the "_x_at" tag.

Fields inherited from class baseCode.dataFilter.AbstractFilter
`log`

Constructor Summary
`RowAffyNameFilter(int[] criteria)`

Method Summary
`NamedMatrix` | `filter(NamedMatrix data)` Filter the data

Methods inherited from class baseCode.dataFilter.AbstractFilter
`getOutputMatrix`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ST

    public static final int ST

  Filter probes that contain the '_st' (sense strand) tag

  See Also:
    Constant Field Values

### AFFX

    public static final int AFFX

  Filter probes that have the AFFX prefix.

  See Also:
    Constant Field Values

### F

    public static final int F

  Filter probes that have the "_f_at" (family) tag.

  See Also:
    Constant Field Values

### X

    public static final int X

  Filter probes that have the "_x_at" tag.

  See Also:
    Constant Field Values

### G

    public static final int G

  Filter probes that have the "_g_at" (group) tag.

  See Also:
    Constant Field Values

Constructor Detail

### RowAffyNameFilter

    public RowAffyNameFilter(int[] criteria)

Parameters:
  `criteria` - int[] of constants indicating the criteria to use.

Method Detail

### filter

    public NamedMatrix filter(NamedMatrix data)

  Description copied from interface: `Filter`
  Filter the data

  Specified by:
    `filter` in interface `Filter`
  Parameters:
    `data` - a NamedMatrix. Some types of filters require that this be of a particular type of implementation of the Filter interface.
  Returns:
    The resulting filtered matrix

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2005 Columbia University. All Rights Reserved.